/*
**  arch/m68k/mvme166/166con.c
**
**  Copyright (C) 1995 Richard Hirst [richard@sleepie.demon.co.uk]
**
**  There is no real code in this file.  It should probably disappear.
**
**  Based on	linux/amiga/amicon.c
**		Copyright (C) 1994 David Carter  [carter@compsci.bristol.ac.uk]
**		Interface based on the original 'amicon.c' code:
**		Copyright (C) 1993 Hamish Macdonald and Greg Harp
**		although the contents have been radically altered.
**
** This file is subject to the terms and conditions of the GNU General
** Public License.  See the file README.legal in the main directory of this
** archive for more details.
*/

#include <linux/config.h>       /* New: DPC */
#include <linux/types.h>
#include <linux/fs.h>
#include <linux/kernel.h>
#include <linux/tty.h>
#include <linux/console.h>
#include <linux/mm.h>
#include <linux/malloc.h>
#include <linux/string.h>

#include <asm/system.h>
#include <asm/bootinfo.h>
#include <asm/irq.h>    	/* New: DPC */

static int mvme166con_changevar(int con)
{
	return(0);
}

static unsigned long
mvme166con_startup (unsigned long mem_start,
		unsigned long *rowp, unsigned long *colp, char **display_desc)
{
	*rowp = *colp = 0;
	return mem_start;
}

static void mvme166con_init(struct vc_data *conp)
{
}

static int mvme166con_deinit (struct vc_data *conp)
{
	return 0;
}


static int mvme166con_bmove (struct vc_data *conp,
          int sy, int sx, int dy, int dx,
          int height, int width)
{
    return(0);
}


static int mvme166con_clear (struct vc_data *conp,
                         int sy, int sx, int height, int width)
{
    return(0);
}


static int mvme166con_putc (struct vc_data *conp, int c, int y, int x)
{
    return(0);
}


static int mvme166con_putcs (struct vc_data *conp, const char *s,
                         int count, int y, int x)
{
    return(0);
}

static int mvme166con_cursor (struct vc_data *conp,
           int mode)
{
    return 0;
}

static int mvme166con_scroll (struct vc_data *conp,
                          int t, int b, int dir, int count)
{
    return 0;
}

static int mvme166con_switch (struct vc_data *conp)
{
	return 0;
}

static int mvme166con_blank (int blank)
{
	return 0;
}


/*
 * The console "switch" structure for the Amiga native console
 */

struct consw mvme166_con =
{
    mvme166con_startup, mvme166con_init, mvme166con_deinit, mvme166con_clear,
    mvme166con_putc, mvme166con_putcs, mvme166con_cursor, mvme166con_scroll,
    mvme166con_bmove, mvme166con_switch, mvme166con_blank
};
